## libircclient 1.2+dfsg1

=== examples/ircmud/Makefile ===
# $Id: Makefile 17 2004-09-14 18:24:51Z gyunaev $
CPP = g++
CFLAGS = -D_REENTRANT -g -Wall -I../libircclient/include

PROG = mudirconnector

OBJS = 	config.o	\
		log.o		\
		ircmud.o	\
		main.o

all: 	$(PROG)

$(PROG): $(OBJS)
	$(CPP) $(LDFLAGS) -o $(PROG) $(OBJS) ../libircclient/src/libircclient.a -lpthread

clean:
	rm -rf $(PROG) $(OBJS)

distclean: clean

.cpp.o:
	@echo "Compiling  $<"
	@$(CPP) $(CFLAGS) -c -o $(basename $<).o $<

## libircclient 1.3+dfsg1

=== Makefile ===
# $Id: Makefile 67 2006-08-29 19:02:57Z gyunaev $

SUBDIRS = src examples

all:
	for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir || exit 1; \
	done

clean:
	-for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir clean || exit 1; \
	done
	-rm -f core

distclean:
	-for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir distclean || exit 1; \
	done
	-rm -f include/config.h config.cache config.status config.log core

distro: distclean
	(cd .. && tar zcf libircclient-1.2.tar.gz libircclient-1.2)

## libircclient 1.8

=== debian/changelog ===
libircclient (1.8-2) unstable; urgency=medium

  * patch/fix-ipv6-socaddr.patch added (Closes: #762027)
    - fixes segfault when connecting to an IPv6 address


 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 18 Sep 2014 15:29:18 +0200

libircclient (1.8-1) unstable; urgency=medium

  * New maintainer (Closes: #674882) 
  * Imported Upstream version 1.8
  * Removed -dfsg, rfc file violating DFSG no longer in source
  * Bump standards to 3.9.5, no changes needed 
  * Build-Dep in d/control changed to debhelper>=9
  * Added myself to d/copyright
  * d/copyright updated for Authors of cocoa/
  * d/compat changed to 9
  * Deleted 00_fix_missing_headers patch, not needed 
  * Added dh-autoreconf to Build-Deps
  * Switched to multiarch (Thanks Andreas Rönnquist)
  * patch/proper-lib-building.patch added
    - removed old build system
    - uses autoreconf and libtool
    - still allows using upstream's --enable system
    - builds libircclient with IPv6 support
  * removed README.source file, not needed
  * README.Debian added with URL pointing to upstream's doc

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 15 Aug 2014 18:48:38 +0200

libircclient (1.6+dfsg1-1) UNRELEASED; urgency=medium

  [ Andreas Rönnquist ]
  * Imported Upstream version 1.6+dfsg1
  * Update Standards Version to 3.9.3 (No changes)
  * Update Vcs-* fields
  * Reset executable flag of bootstrap after running it
  * Convert package to quilt format
  * Fix debian-rules-missing-recommended-target
  * Add hardening flags to build system
  * Fix Multiarch support
  * Fix binary-control-field-duplicates-source field 'Section'
  * Fix duplicate short description lintian warning
  * Fix quilt-patch-missing-description lintian warning
  * Add symbols file for libircclient1
  * Update homepage field
  * Drop installing unneeded .la file
  * Update Copyright file
  * Fix closing bug lacking hash sign

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 15 Aug 2014 18:47:45 +0200

libircclient (1.3+dfsg1-3) unstable; urgency=low

  * Add quilt patch system.
  * debian/patches:
    - 00_fix_missing_headers.diff - Add missing includes. Closes: #534898.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 28 Jun 2009 13:58:40 +0100

libircclient (1.3+dfsg1-2) unstable; urgency=low

  * Add missing header file. Closes: #534798.
  * Update Standards-Version to 3.8.2. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Sat, 27 Jun 2009 12:22:50 +0100

libircclient (1.3+dfsg1-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 05 Jan 2009 22:46:15 +0000

libircclient (1.2+dfsg1-1) unstable; urgency=low

  * Initial release. Closes: #498179.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 26 Oct 2008 12:34:32 +0000

=== debian/control ===
Source: libircclient
Priority: optional
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.ulduzsoft.com/libircclient/
Vcs-Git: git://anonscm.debian.org/collab-maint/libircclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libircclient.git;a=summary

Package: libircclient-dev
Section: libdevel
Architecture: any
Depends: libircclient1 (= ${binary:Version}), ${misc:Depends}
Description: development files for libircclient
 libircclient is a small but powerful library that implements the
 client-server IRC protocol. It is designed to be small, fast, portable and
 compatible to RFC standards, and most IRC clients. libircclient features
 include:
 .
  * Full multi-threading support.
  * Single threads handles all the IRC processing.
  * Support for single-threaded applications, and socket-based
    applications, which use select()
  * Synchronous and asynchronous interfaces.
  * CTCP support with optional build-in reply code.
  * Flexible DCC support, including both DCC chat, and DCC file transfer.
  * Can both initiate and react to initiated DCC.
  * Can accept or decline DCC sessions asynchronously.
  * Plain C interface and implementation (possible to use from C++ code,
    obviously)
  * Compatible with RFC 1459 and most IRC clients.
  * Good documentation and examples available.
 .
 This package contains the development files.

Package: libircclient1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C library to create IRC clients
 libircclient is a small but powerful library that implements the
 client-server IRC protocol. It is designed to be small, fast, portable and
 compatible to RFC standards, and most IRC clients. libircclient features
 include:
 .
  * Full multi-threading support.
  * Single threads handles all the IRC processing.
  * Support for single-threaded applications, and socket-based applications,
    which use select()
  * Synchronous and asynchronous interfaces.
  * CTCP support with optional build-in reply code.
  * Flexible DCC support, including both DCC chat, and DCC file transfer.
  * Can both initiate and react to initiated DCC.
  * Can accept or decline DCC sessions asynchronously.
  * Plain C interface and implementation (possible to use from C++ code,
    obviously)
  * Compatible with RFC 1459 and most IRC clients.
  * Good documentation and examples available.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-ipv6

## libircclient 1.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Libircclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Libircclient.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Libircclient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Libircclient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
libircclient (1.9-1) UNRELEASED; urgency=medium

  * update

 -- Dariusz Dwornikowski <darek@debian.org>  Mon, 16 May 2022 20:20:45 +0800

libircclient (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
  * Added libircclient.triggers with ldconfig
  * Refreshed patches for the new codebase
  * d/control:
   - Changed maintainer's email to d.o
   - Bump standards to 3.9.8, no changes needed
   - Changed vcs to secure, git browser to cgit
  * d/copyright:
    - redefined BSD-3-clause
    - added year 2016
    - changed maintainer's email to d.o
  * Added bindnow hardening

 -- Dariusz Dwornikowski <darek@debian.org>  Tue, 20 Sep 2016 18:25:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libircclient
 Priority: optional
-Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
+Maintainer: Dariusz Dwornikowski <darek@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.ulduzsoft.com/libircclient/
-Vcs-Git: git://anonscm.debian.org/collab-maint/libircclient.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libircclient.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libircclient.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libircclient.git
 
 Package: libircclient-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
 	dh $@ --with autoreconf

## libircclient 1.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 67 2006-08-29 19:02:57Z gyunaev $
+# $Id: Makefile 84 2009-01-10 01:37:29Z chromerium $
 
 SUBDIRS = src examples
 
@@ -21,3 +21,6 @@
 
 distro: distclean
 	(cd .. && tar zcf libircclient-1.2.tar.gz libircclient-1.2)
+
+install: all
+	-cd src && make install

=== doc/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	@echo "  devhelp    to make HTML files and a Devhelp project"
 	@echo "  epub       to make an epub"
 	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  pdf        to make PDF"
 	@echo "  text       to make text files"
 	@echo "  man        to make manual pages"
 	@echo "  texinfo    to make Texinfo files"
@@ -124,6 +124,9 @@
 	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
 	@echo "Run \`make' in that directory to run these through makeinfo" \
 	      "(use \`make info' here to do that automatically)."
+	      
+pdf:
+	$(SPHINXBUILD) -b rinoh . _build/rinoh
 
 info:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo

=== debian/changelog ===
libircclient (1.10-1) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1090993
  * Do not remove files in debian/patches/proper-lib-building.patch but rather
    in override_dh_clean to minimise the patch diff
  * d/copyright: review
  * Build-Depends-Package in symbols file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Add not-installed to cope with dh_missing --force-missing

 -- Andreas Tille <tille@debian.org>  Mon, 10 Feb 2025 09:23:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libircclient
 Priority: optional
 Maintainer: Dariusz Dwornikowski <darek@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.7.0
 Section: libs
-Homepage: http://www.ulduzsoft.com/libircclient/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libircclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libircclient.git
+Homepage: https://www.ulduzsoft.com/libircclient/
+Vcs-Git: https://salsa.debian.org/debian/libircclient.git
+Vcs-Browser: https://salsa.debian.org/debian/libircclient
 
 Package: libircclient-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_clean:
	dh_clean
	# drop old build process to enable proper libtool building and multiarch support (see debian/patches/proper-lib-building.patch)
	rm -f Makefile configure configure.in src/Makefile.in

override_dh_auto_configure:
	dh_auto_configure -- --enable-ipv6

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d+$// \
http://sf.net/libircclient/libircclient-([\d.]+)\.tar\.gz
